﻿using EnvelopeCreatorProject.Interfaces;
using EnvelopeCreatorProject.Models;

namespace EnvelopeCreatorProject
{
    public class EnvelopeCreatorMock : IEnvelopeCreator
    {
        public EnvelopeResult CreateEnvelope(AccountAuthentication authentication, EnvelopeData EData)
        {
            return new EnvelopeResult()
            {
                EnvelopeResponse = "{\r\n  \"envelopeId\": \"9999999-2ca6-406f-bf73-99fc0b53c81f\",\r\n  \"uri\": \"/envelopes/9999999-2ca6-406f-bf73-99fc0b53c81f\",\r\n  \"statusDateTime\": \"2017-05-26T19:58:49.9670000Z\",\r\n  \"status\": \"sent\"\r\n}",
                ErrorCode = 0,
                Message = "Envelope created successfully"
            };
        }
    }
}
