﻿using System.Text;
using EnvelopeCreatorProject.DocusignAPI;

namespace EnvelopeCreatorProject.Models.Recipients.IdentityCheck
{
    public abstract class AuthTypeBuilder 
    {
        protected StringBuilder _objRecipient;

        protected AuthTypeBuilder()
        {
            _objRecipient = new StringBuilder();
        }
        public void Build(Recipient recipient)
        {
            _objRecipient.AppendLine(
                string.Format("{0}requireIdLookup{0}:{0}{1}{0},{0}idCheckConfigurationName{0}:{0}{2}{0},",
                "\"",
                recipient.RecipientAuthentication.RequireIDLookup,
                recipient.RecipientAuthentication.IDCheckConfigurationName)
            );
        }
    }
}
