﻿using System.Collections.Generic;

namespace EnvelopeCreatorProject.DocusignAPI
{
    public class PhoneRecipientAuthentication : Authentication.RecipientAuthentication
    {
        public IEnumerable<string> SenderProvidedNumbers { get; set; }
        public bool RecipMayProvideNumber { get; set; }
        public bool ValidateRecipProvidedNumber { get; set; }
        public bool RecordVoicePrint { get; set; }

        public PhoneRecipientAuthentication()
        {
            SenderProvidedNumbers = new List<string>();
        }
    }
}
